#pragma once
#include "panel.hpp"
#include "levelmanager.hpp"
#include "constants.hpp"
#include <deque>

namespace gui {
  class StatusUI : public Panel {
    public:
      std::vector<Element> $log_list;
      std::deque<std::string> $messages;
      GameLevel $level;
      StatusUI(GameLevel level);
      void create_render();
      void update_level(GameLevel &level) { $level = level; }
      void log(std::string msg);
  };
}
